import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { LoginRoutingModule } from './login-routing.module';
import { IndexComponent } from './index/index.component';
import {NzButtonModule} from "ng-zorro-antd/button";
import {NzFormModule} from "ng-zorro-antd/form";
import {NzCheckboxModule} from "ng-zorro-antd/checkbox";
import {NzInputModule} from "ng-zorro-antd/input";
import {ReactiveFormsModule} from "@angular/forms";
import {NzIconModule} from "ng-zorro-antd/icon";
import {NzDividerModule} from "ng-zorro-antd/divider";


@NgModule({
  declarations: [
    IndexComponent
  ],
  imports: [
    CommonModule,
    NzFormModule,
    NzCheckboxModule,
    NzButtonModule,
    ReactiveFormsModule,
    NzIconModule,
    NzDividerModule,
    NzInputModule,
    LoginRoutingModule
  ]
})
export class LoginModule { }
